import { AnchorProvider } from '@coral-xyz/anchor';
import { AddressLookupTableAccount, TransactionConfirmationStatus, TransactionError, TransactionInstruction, TransactionSignature, VersionedTransaction } from '@solana/web3.js';
export interface MangoSignatureStatus {
    confirmations?: number | null;
    confirmationStatus?: TransactionConfirmationStatus;
    err: TransactionError | null;
    signature: TransactionSignature;
    slot: number;
}
export declare function sendTransaction(provider: AnchorProvider, ixs: TransactionInstruction[], alts: AddressLookupTableAccount[], opts?: any): Promise<MangoSignatureStatus>;
export declare function prepareSignedTransaction(provider: AnchorProvider, ixs: TransactionInstruction[], alts: AddressLookupTableAccount[], latestBlockhash: {
    blockhash: string;
    lastValidBlockHeight: number;
}, opts?: any): Promise<VersionedTransaction>;
export declare function sendAndConfirmSignedTransaction(provider: AnchorProvider, signedTransaction: VersionedTransaction, latestBlockhash: {
    blockhash: string;
    lastValidBlockHeight: number;
}, opts?: any): Promise<MangoSignatureStatus>;
export declare const createComputeBudgetIx: (microLamports: number) => TransactionInstruction;
//# sourceMappingURL=rpc.d.ts.map